commit 21f3111a1211a7468845494125a86723bbcdefae
Author: freddy77 <freddy77>
Date:   Thu Apr 23 09:41:08 2009 +0000

    fix sybase_tests rebuild

diff --git a/ChangeLog b/ChangeLog
index 005a697..54e5d3b 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Thu Apr 23 11:40:43 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* misc/sybase_tests: fix rebuild
+
 Thu Apr 23 11:36:05 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/dblib/unittests/t0002.c: fix test
 
@@ -1506,4 +1509,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2777 2009/04/23 09:36:26 freddy77 Exp $
+$Id: ChangeLog,v 1.2778 2009/04/23 09:41:08 freddy77 Exp $
diff --git a/misc/sybase_tests b/misc/sybase_tests
index 1bb59d9..1d13d16 100755
--- a/misc/sybase_tests
+++ b/misc/sybase_tests
@@ -1,6 +1,6 @@
 #!/bin/bash
 
-# $Id: sybase_tests,v 1.3 2009/04/21 13:41:07 freddy77 Exp $
+# $Id: sybase_tests,v 1.4 2009/04/23 09:41:08 freddy77 Exp $
 # these commands build dblib tests using Sybase dblib
 
 errore() {
@@ -16,6 +16,12 @@ OCSDIR=`echo OCS-*`
 cd "$MAINDIR"
 test -d "$SYBASE/$OCSDIR" || errore "OCS directory not found"
 
+if test "$LD_RUN_PATH" != ""; then
+	export LD_RUN_PATH="$SYBASE/$OCSDIR/lib:$LD_RUN_PATH"
+else
+	export LD_RUN_PATH="$SYBASE/$OCSDIR/lib"
+fi
+
 # build
 trap 'echo Error at line $LINENO' ERR
 set -e
@@ -36,10 +42,5 @@ if test ! -r Makefile.no_sybase -o Makefile -nt Makefile.no_sybase; then
 	rm -f *.o *.exe
 	make clean
 fi
-if test "$LD_RUN_PATH" != ""; then
-	export LD_RUN_PATH="$SYBASE/$OCSDIR/lib:$LD_RUN_PATH"
-else
-	export LD_RUN_PATH="$SYBASE/$OCSDIR/lib"
-fi
 TESTS_ENVIRONMENT=true make -j4 check 
 

